;	NEWPAGE.CMD:	Startup page Loader
;			for MicroEMACS 3.9d and above
;			(C)opyright 1987 by Daniel M Lawrence

; Get rid of the last page
	set $discmd FALSE
	write-message [Nettoyage]
	!force run clean

!force	delete-buffer "[clean]"

; make sure the function key window is up
	set %rcfkeys FALSE
	toggle-fkeys

!if &not $pending

	; Write out the page load instructions
	save-window
	1 next-window
	beginning-of-file
	set $curcol 36
	overwrite-string "       Modes de programmation disponibles : "
	next-line
	set $curcol 36
	overwrite-string " [W] WORDprocessing [P] Pascal [L] Lisp     "
	next-line
	set $curcol 36
	overwrite-string " [E] Macros EMACS   [C] C                   "
	next-line
	set $curcol 17
	overwrite-string "    "
	set $curcol 36
	overwrite-string " [B] dition Blocs  [O] cObol               "
	next-line
	set $curcol 36
	overwrite-string "[espace] pour charger une page utilisateur  "
	unmark-buffer
	beginning-of-file
	!force restore-window
	update-screen


; prompt for the page

	write-message "Page  charger : "
!endif

*prompt
	set %rctmp &gtcmd

	;eat mouse moves
	!if &or &or &seq %rctmp "MSm" &seq %rctmp "S-MSm" &seq %rctmp "MS^m"
		!goto prompt
	!endif

	clear-message-line

; check for mouse press

	!if &seq &left %rctmp 2 "MS"

		save-window
		!force mouse-move-down

		;eat the mouse up
		set %junk &gtcmd

		;If not in the function key window... don't bother
		!if &not &sequal $cbufname "Touches fonctions"
			restore-window
			!goto prompt
		!endif

		forward-character
		!force search-reverse "["
		!if &seq $status FALSE
			restore-window
			!goto prompt
		!endif

		!force forward-character
		set %rctmp &chr $curchar
		!if &seq %rctmp "s"
			set %rctmp " "
		!endif
		set %rctmp &lower %rctmp
		restore-window
	!endif

; check for an abort
	!if &seq %rctmp "^G"
		write-message "[Abandonn]"
		save-window
		1 next-window
		beginning-of-file
		set $curcol 36
		overwrite-string "   MicroEMACS :  diteur de texte           "
		next-line
		set $curcol 36
		overwrite-string "                                            "
		next-line
		set $curcol 36
		overwrite-string "  Modes de programmation disponibles :      "
		next-line
		set $curcol 24
		overwrite-string "    "
		set $curcol 36
		overwrite-string "    Word  Box  Emacs  Pascal  C  Lisp cObol "
		next-line
		set $curcol 36
		overwrite-string "  [Cl f8 pour charger les Pages]           "
		unmark-buffer
		beginning-of-file
		!force restore-window
		set $discmd TRUE
		!return
	!endif
	
; if it is an unlisted page, get it's name
	!if &seq %rctmp " "
		set %rcfile &low &cat &low @"Nom de la Page  charger : " ".cmd"
	!else
		set %rcfile &cat &low %rctmp "page.cmd"
	!endif

; see if this is a legit file
	!if &seq &find %rcfile ""
		write-message "%Page inexistante, Page  charger : "
		!goto prompt
	!endif

;and lastly, execute it

	execute-file %rcfile
	set $discmd TRUE
